﻿@*wot.dadang 21/11/2012*@
@*edited by arie 08/01/2013*@

@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using Portal.Controllers;
@using Portal.Models;

@section StartupScript{
    SupplierCode.SetFocus();
}

<div style="padding-bottom:10px">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td align="left" width="88px">
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "btnNew1";
                setting.Text = "New";
                setting.ClientSideEvents.Click = "function(s, e){ popupNew.Show(); }";//"function(s, e){ grdData.AddNewRow(); }";
                setting.Width = 80;
            }
            ).GetHtml()
        </td>
        <td align="left">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnDelete1";
                        setting.Text = "Delete";
                        setting.Width = 80;
                        setting.ClientSideEvents.Click = "function(s, e){ popupDelete.Show(); }";
                        //setting.ClientSideEvents.Click = "function(s,e) {e.processOnServer = confirm('Are sure to delete data?');}";
                    }
                ).GetHtml()
        </td>
        <td align="right" width="20px">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "btnSubmit1";
                        setting.Text = "Submit";
                        setting.ClientSideEvents.Click = "function(s, e){ popupSubmit.Show(); }";
                        setting.Width = 80;
                    }
                ).GetHtml()
        </td>       
    </tr>
</table>
</div>

@Html.Partial("EmergencyOrderDataGridNew");


@*@{
    var grid = @Html.DevExpress().GridView(
    edtSetting =>
    {
        edtSetting.Name = "grdData";
        edtSetting.KeyFieldName = "SupplierCode";
        edtSetting.CallbackRouteValues = new { controller = "EmergencyOrderCreation", action = "EmergencyOrderCreation" };
        edtSetting.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        edtSetting.Settings.ShowVerticalScrollBar = true;
        
        edtSetting.Settings.ShowFilterRow = true;
        edtSetting.Settings.ShowFilterRowMenu = true;
        
        edtSetting.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        edtSetting.SettingsPager.FirstPageButton.Visible = true;
        edtSetting.SettingsPager.LastPageButton.Visible = true;
        edtSetting.SettingsPager.ShowNumericButtons = true;

        edtSetting.CommandColumn.EditButton.Visible = true;
        edtSetting.CommandColumn.ClearFilterButton.Visible = true;
        edtSetting.CommandColumn.Visible = true;
        edtSetting.CommandColumn.Caption = "#";
        edtSetting.CommandColumn.Width = Unit.Pixel(50);

        //Edit Datagrid EOC 
        edtSetting.SettingsEditing.Mode = GridViewEditingMode.PopupEditForm;
        edtSetting.SettingsPopup.EditForm.HorizontalAlign = PopupHorizontalAlign.WindowCenter;
        edtSetting.SettingsPopup.EditForm.VerticalAlign = PopupVerticalAlign.WindowCenter;
        edtSetting.SettingsPopup.EditForm.Modal = true;
    
        edtSetting.SettingsPager.PageSizeItemSettings.Visible = true;
        edtSetting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        edtSetting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

        edtSetting.Columns.Add(
                column =>
                {
                    column.Caption = "#";
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.SetDataItemTemplateContent
                        ("<input type=\"checkbox\" name=\"option1\" value=\"Milk\">");
                    column.Width = Unit.Pixel(40);
                });       

        edtSetting.Columns.Add("PartNo", "Part No");
        edtSetting.Columns["PartNo"].CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        edtSetting.Columns["PartNo"].Width = Unit.Pixel(150);
        
        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "Part Name";
               setting.FieldName = "PartName";
               setting.ColumnType = MVCxGridViewColumnType.TextBox;
               setting.CellStyle.Wrap = DefaultBoolean.False;
               setting.Width = Unit.Pixel(300);
           });        

        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "Order<br>Qty";
               setting.FieldName = "OrderQty";
               setting.ColumnType = MVCxGridViewColumnType.SpinEdit;
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Right;
               setting.Width = 80;
           });


        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "PCS /<br>Kanban";
               setting.FieldName = "PCSKanban";
               setting.ColumnType = MVCxGridViewColumnType.SpinEdit;
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Right;
               setting.Width = 80;
           });


        //Edit DataGrid
        edtSetting.SetEditFormTemplateContent(c =>
        {
            if (c.Grid.IsNewRowEditing)
            {
                ViewData["isNew"] = true;
            }else
            {
                ViewData["isNew"] = false;
            }
            Html.RenderPartial("PartialEditEmergency");
        });
    });
    if (ViewData["EditError"] != null)
    {
        grid.SetEditErrorText((string)ViewData["EditError"]);
    }
 }
@grid.Bind(Model.GetModel<Portal.Models.EmergencyOrder.EmergencyOrderModel>().EmergencyOrders).GetHtml()*@


@*@Html.DevExpress().GridView(
    edtSetting =>
    {
        edtSetting.Name = "grdData";
        edtSetting.KeyFieldName = "SupplierCode";
        edtSetting.CallbackRouteValues = new { controller = "EmergencyOrderCreation", action = "EmergencyOrderCreation" };
        edtSetting.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        edtSetting.Settings.ShowVerticalScrollBar = true;
        
        edtSetting.Settings.ShowFilterRow = true;
        edtSetting.Settings.ShowFilterRowMenu = true;
        
        edtSetting.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        edtSetting.SettingsPager.FirstPageButton.Visible = true;
        edtSetting.SettingsPager.LastPageButton.Visible = true;
        edtSetting.SettingsPager.ShowNumericButtons = true;

        edtSetting.CommandColumn.EditButton.Visible = true;
        edtSetting.CommandColumn.ClearFilterButton.Visible = true;
        edtSetting.CommandColumn.Visible = true;
        edtSetting.CommandColumn.Caption = "#";
        edtSetting.CommandColumn.Width = Unit.Pixel(50);

        //Edit Datagrid EOC 
        edtSetting.SettingsEditing.Mode = GridViewEditingMode.PopupEditForm;
        edtSetting.SettingsPopup.EditForm.HorizontalAlign = PopupHorizontalAlign.WindowCenter;
        edtSetting.SettingsPopup.EditForm.VerticalAlign = PopupVerticalAlign.WindowCenter;
        edtSetting.SettingsPopup.EditForm.Modal = true;
    
        edtSetting.SettingsPager.PageSizeItemSettings.Visible = true;
        edtSetting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        edtSetting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

        edtSetting.Columns.Add(
                column =>
                {
                    column.Caption = "#";
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.SetDataItemTemplateContent
                        ("<input type=\"checkbox\" name=\"option1\" value=\"Milk\">");
                    column.Width = Unit.Pixel(40);
                });       

        edtSetting.Columns.Add("PartNo", "Part No");
        edtSetting.Columns["PartNo"].CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        edtSetting.Columns["PartNo"].Width = Unit.Pixel(150);
        
        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "Part Name";
               setting.FieldName = "PartName";
               setting.ColumnType = MVCxGridViewColumnType.TextBox;
               setting.CellStyle.Wrap = DefaultBoolean.False;
               setting.Width = Unit.Pixel(300);
           });        

        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "Order<br>Qty";
               setting.FieldName = "OrderQty";
               setting.ColumnType = MVCxGridViewColumnType.SpinEdit;
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Right;
               setting.Width = 80;
           });


        edtSetting.Columns.Add(
           setting =>
           {
               setting.Caption = "PCS /<br>Kanban";
               setting.FieldName = "PCSKanban";
               setting.ColumnType = MVCxGridViewColumnType.SpinEdit;
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Right;
               setting.Width = 80;
           });


        //Edit DataGrid
        edtSetting.SetEditFormTemplateContent(c =>
        {
            if (c.Grid.IsNewRowEditing)
            {
                ViewData["isNew"] = true;
            }else
            {
                ViewData["isNew"] = false;
            }
            Html.RenderPartial("PartialEditEmergency");
        });

 }).Bind(Model.GetModel<Portal.Models.EmergencyOrder.EmergencyOrderModel>().EmergencyOrders).GetHtml()
*@